# wxColourDialog Class Reference
[Common Dialogs]

`#include </home/work/projects/wx/2.9/wx/interface/wx/colordlg.h>`

Inheritance diagram for wxColourDialog:
[legend]

## Detailed Description

This class represents the colour chooser dialog.

##

Library: wxCore
Category: Common Dialogs

See also:
  wxColourDialog Overview, wxColour, wxColourData, wxGetColourFromUser()

## Public Member Functions

| wxColourDialog (wxWindow *parent, wxColourData *data=NULL)
| Constructor.
virtual | ~wxColourDialog ()
| Destructor.
bool | Create (wxWindow *parent, wxColourData *data=NULL)
| Same as wxColourDialog().
wxColourData & | GetColourData ()
| Returns the colour data associated with the colour dialog.
virtual int | ShowModal ()
| Shows the dialog, returning wxID_OK if the user pressed OK, and wxID_CANCEL otherwise.

List of all members.

## Constructor & Destructor Documentation

wxColourDialog::wxColourDialog | ( | wxWindow * | parent,
|  | wxColourData * | data = `NULL` |
| ) |  |  |

Constructor.

Pass a parent window, and optionally a pointer to a block of colour data, which will be copied to the colour dialog's colour data.

Custom colours from colour data object will be used in the dialog's colour palette. Invalid entries in custom colours list will be ignored on some platforms(GTK) or replaced with white colour on platforms where custom colours palette has fixed size (MSW).

See also:
  wxColourData

virtual wxColourDialog::~wxColourDialog | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

bool wxColourDialog::Create | ( | wxWindow * | parent,
|  | wxColourData * | data = `NULL` |
| ) |  |  |

Same as wxColourDialog().

wxColourData& wxColourDialog::GetColourData | ( |  | ) |

Returns the colour data associated with the colour dialog.

virtual int wxColourDialog::ShowModal | ( |  | ) | `[virtual]`

Shows the dialog, returning wxID_OK if the user pressed OK, and wxID_CANCEL otherwise.

Reimplemented from wxDialog.

|  | [ top ]